Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1991874 - F35FailsToInstall: ghc-exceptions, ghc-exceptions-devel, ghc-exceptions-prof
Summary: F35FailsToInstall: ghc-exceptions, ghc-exceptions-devel, ghc-exceptions-prof
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc-exceptions
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-08-10 10:58 UTC by Miro Hrončok
Modified: 2021-09-11 05:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-11 05:44:40 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2021-08-10 10:58:33 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (ghc-exceptions) Fails To Install in Fedora 35:

can't install ghc-exceptions:
  - nothing provides libHSbase-4.13.0.0-ghc8.8.4.so()(64bit) needed by ghc-exceptions-0.10.4-5.fc35.x86_64
  - nothing provides libHSghc-prim-0.5.3-ghc8.8.4.so()(64bit) needed by ghc-exceptions-0.10.4-5.fc35.x86_64
  - nothing provides libHSmtl-2.2.2-ghc8.8.4.so()(64bit) needed by ghc-exceptions-0.10.4-5.fc35.x86_64
  - nothing provides libHStransformers-0.5.6.2-ghc8.8.4.so()(64bit) needed by ghc-exceptions-0.10.4-5.fc35.x86_64
  - nothing provides libHStemplate-haskell-2.15.0.0-ghc8.8.4.so()(64bit) needed by ghc-exceptions-0.10.4-5.fc35.x86_64
  
can't install ghc-exceptions-devel:
  - nothing provides ghc-devel(base-4.13.0.0) needed by ghc-exceptions-devel-0.10.4-5.fc35.x86_64
  - nothing provides ghc-devel(stm-2.5.0.0) needed by ghc-exceptions-devel-0.10.4-5.fc35.x86_64
  - nothing provides ghc-devel(template-haskell-2.15.0.0) needed by ghc-exceptions-devel-0.10.4-5.fc35.x86_64
  - nothing provides ghc-compiler = 8.8.4 needed by ghc-exceptions-devel-0.10.4-5.fc35.x86_64
  
can't install ghc-exceptions-prof:
  - nothing provides ghc-prof(base-4.13.0.0) needed by ghc-exceptions-prof-0.10.4-5.fc35.x86_64
  - nothing provides ghc-prof(stm-2.5.0.0) needed by ghc-exceptions-prof-0.10.4-5.fc35.x86_64
  - nothing provides ghc-prof(template-haskell-2.15.0.0) needed by ghc-exceptions-prof-0.10.4-5.fc35.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Ben Cotton 2021-08-10 13:38:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 2 Miro Hrončok 2021-08-11 09:52:17 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 36.

Thanks for taking care of it!

Comment 3 Miro Hrončok 2021-08-18 08:41:24 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 4 Miro Hrončok 2021-09-08 21:55:37 UTC
Hello,

This is the second reminder (step 4 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 5 Jens Petersen 2021-09-10 04:17:08 UTC
Sorry for not commenting earlier: this package is being retired for F35+
since it is now part of ghc-8.10 itself.

Yes, I tried to fedpkg retire the package, but it doesn't seem to fully work for pagure?
Though the package is blocked from f35+ I believe, so I dunno:
is there anything more I need to do for this?

Comment 6 Jens Petersen 2021-09-10 04:20:09 UTC
(I think I did fedpkg retire, actually on the same day that you reported this.)
So maybe it's good to close this now?

Comment 7 Miro Hrončok 2021-09-10 04:58:11 UTC
The package is retired on rawhide:

$ koji list-pkgs --show-blocked  --tag f36 --quiet --package ghc-exceptions
ghc-exceptions          f36                                      codeblock       [BLOCKED]

But not yet in F35:

$ koji list-pkgs --show-blocked  --tag f35 --quiet --package ghc-exceptions
ghc-exceptions          f35                                      codeblock

Comment 8 Miro Hrončok 2021-09-10 04:59:22 UTC
If you retired this a month ago I suggest filing a ticket with releng. See https://docs.fedoraproject.org/en-US/package-maintainers/Package_Retirement_Process/#_koji

Comment 9 Jens Petersen 2021-09-10 05:27:44 UTC
Okay thanks, I will open a releng

It is possible I only ran `fedpkg retire` in rawhide - I don't remember - on the basis that I thought it wasn't work properly...
Though the build is not in the f35 repo.

Comment 10 Jens Petersen 2021-09-10 05:30:10 UTC
https://pagure.io/releng/issue/10295

Comment 11 Miro Hrončok 2021-09-11 05:44:40 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 35.

Thanks for taking care of it!


Note You need to log in before you can comment on or make changes to this bug.